curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}/skill_profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}/skill_profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}/skill_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"skills": [
{
"skill": "Programming"
},
{
"skill": "Business Intelligence"
},
{
"skill": "Machine Learning"
}
],
"domain": "Machine Learning"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get the Skill Profile for a Skill Cluster
Get an export of the Skill Cluster Skill Profile to leverage it for user interaction.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no Response
OK
The Skills of the Skill Cluster. This is what is returned when Skill Clusters are managed by TechWolf.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The Skills contained in this Skill Cluster.
Show child attributes
Show child attributes
[
{ "skill": "Programming" },
{ "skill": "Business Intelligence" },
{ "skill": "Machine Learning" }
]
The Domain this Skill Cluster belongs to.
"Machine Learning"
Was this page helpful?